import { request } from 'umi';
import { api } from '../api'

/**
 * 获取任务列表
 * @returns 
 */
export interface TaskListProps {
    pageSize: number,
    pageNum: number,
    campaignName?: string, // 计划名称
    campaignType?: string, // 计划类型
    promotedObjectType?: string,  // 推广目标类型
}
export async function getTaskListApi(data: TaskListProps) {
    return request(api + '/adq/adCreateTask/list', {
        method: 'POST',
        data
    });
}

export async function getTaskDetailsApi(taskId: number) {
    return request(api + `/adq/adCreateTask/${taskId}`, {
        method: 'GET'
    });
}

/**
 * 任务日志列表
 * @returns 
 */
export interface TaskLogListProps {
    pageSize: number,
    pageNum: number,
    taskId: number,
    createStatus?: any, // 创建状态  -1：创建失败、0：创建中、100：创建成功
    accountId?: number, // 账号id
}
export async function getTaskLogListApi(data: TaskLogListProps) {
    return request(api + '/adq/adCreateTask/taskLog', {
        method: 'POST',
        data
    });
}